--- title: "GetPlannedMaintenanceDetailById" slug: "management-cloudinsight-getpmdetailbyid" updated: 2026-09-17T10:05:41Z published: 2026-09-17T10:05:41Z canonical: "api.ncloud-docs.com/management-cloudinsight-getpmdetailbyid" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # GetPlannedMaintenanceDetailById Available in Classic and VPC Get a specific maintenance schedule by specifying a maintenance schedule ID. ## Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | GET | /cw_fea/real/cw/api/planned-maintenances/{id} | ### Request headers For information about the headers common to all Cloud Insight APIs, see [Cloud Insight request headers](/docs/en/management-cloudinsight#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request path parameters The following describes the parameters. | Field | Type | Required | Description | | --- | --- | --- | --- | | `id` | String | Required | Maintenance schedule ID - See [GetPlannedMaintenanceList](/docs/en/management-cloudinsight-getpmlist). | ### Request example The request example is as follows: ``` curl --location --request GET 'https://cw.apigw.ntruss.com/cw_fea/real/cw/api/planned-maintenances/**********' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' \ --header 'Content-Type: application/json' ``` ## Response This section describes the response format. ### Response body For more information on the fields related to the maintenance schedule information, see [PMCreateUpdateDto](/docs/en/common-vapidatatype-cipmcreateupdatedto). ### Response status codes For information about the HTTP status codes common to NAVER Cloud Platform, see [Cloud Insight API response status codes](/docs/en/management-cloudinsight#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The response example is as follows: ``` { "desc": "Planned maintenance example", "dimensions": { "**********": [ { "instanceNo": "**********", "mnt_nm": "/", "type": "fs" } ] }, "endTime": 1721133000000, "id": "**********", "startTime": 1721129400000, "title": "test-pm-delete-edit" } ```